Name:           python-zope-proxy
Version:        3.6.1
Release:        4%{?dist}
Summary:        Generic Transparent Proxies
Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.proxy/
Source0:        http://pypi.python.org/packages/source/z/zope.proxy/zope.proxy-%{version}.zip

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# for test suite
BuildRequires:  python-zope-testing
Requires:       python-zope-interface


%description
This package provides convenient functions for dealing with proxies.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python2-devel
BuildArch:      noarch


%description devel
Development headers and libraries for %{name}.


%prep
%setup -q -n zope.proxy-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Remove included source files
rm -f $RPM_BUILD_ROOT%{python_sitearch}/zope/proxy/proxy.h
rm -f $RPM_BUILD_ROOT%{python_sitearch}/zope/proxy/_zope_proxy_proxy.c


%check
%{__python} setup.py test


%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt COPYRIGHT.txt LICENSE.txt
%{python_sitearch}/zope/proxy/
%{python_sitearch}/zope.proxy-*.egg-info
%{python_sitearch}/zope.proxy-*-nspkg.pth


%files devel
%defattr(-,root,root,-)
%{_includedir}/python?.?/zope.proxy



%changelog
* Mon Sep  6 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-4
- Include tests
- More comments

* Wed Sep  1 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-3
- Description revised

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-2
- Remove %%check section
- Group changed from Development/Languages to Development/Libraries
- BR: python-devel renamed to python2-devel, python-zope-testing removed

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-1
- Update to 3.6.1
- Requirement: python-zope-filesystem removed, python-zope-interface added
- Spec cleaned up
- -devel subpackage set to noarch, added python2-devel as requirement
- Include the license

* Mon Jun 7 2010 Conrad Meyer <konrad@tylerc.org> - 3.6.0-1
- Bump to latest version.

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 3.5.0-3
- Nuke .c/.h files used to build C library from installed
  files.

* Wed Dec 30 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-2
- Move development files to devel subpackage.
- Use global instead of define.

* Sun Jul 5 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-1
- Bump to latest version.
- Enable tests as zope.testing is in devel.
- Add missing BR on python-setuptools.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.4.2-1
- Initial package.
